# Class Media

Class Media

key abstraction: media-like assets

Declaration :

- C++ : class Media : public Asset

Directly inherited by : Clip CompoundMedia Unknown

Artifact : media

Operation createClip

create a (possibly compound) Clip refering to this media, ready to be added to the EDL.

Declaration :

- Uml : + createClip() : Clip
- C++ : public: Clip createClip ()

Operation howtoProc

@return descriptor how to build a render pipeline corresponding to this media

Declaration :

- Uml : + howtoProc() : ProcPatt
- C++ : public: ProcPatt howtoProc ()

All public operations : createClip , enable , getDependant , getParents , howtoProc , isActive